## nvitop 1.3.2

=== requirements.txt ===
# Sync with pyproject.toml and nvitop/version.py
nvidia-ml-py >= 11.450.51, < 12.536.0a0
psutil >= 5.6.6
cachetools >= 1.0.1
termcolor >= 1.0.0
colorama >= 0.4.0; platform_system == 'Windows'
windows-curses >= 2.2.0; platform_system == 'Windows'

=== docs/requirements.txt ===
sphinx >= 5.0
sphinx-autoapi
sphinx-autobuild
sphinx-copybutton
sphinx-rtd-theme

lightning >= 2.0.0, < 3.0.0a0
pytorch-lightning >= 1.5.0, < 2.0.0a0
tensorflow-cpu >= 2.0.0, < 2.12.0a0

=== debian/changelog ===
nvitop (1.3.2-1) unstable; urgency=medium

  * New upstream version 1.3.2

 -- Mo Zhou <lumin@debian.org>  Tue, 26 Dec 2023 22:44:31 -0500

nvitop (1.3.1-2) unstable; urgency=medium

  * Team upload.
  * Clean generated files.
  * Add B-D: pybuild-plugin-pyproject.
  * Set Rules-Requires-Root: no.
  * Add upstream metadata.
  * Do not ship duplicate license files.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 08 Nov 2023 10:54:19 +0100

nvitop (1.3.1-1) unstable; urgency=medium

  * New upstream version 1.3.1

 -- Mo Zhou <lumin@debian.org>  Sun, 22 Oct 2023 17:42:31 -0400

nvitop (1.3.0-1) unstable; urgency=medium

  * New upstream version 1.3.0

 -- Mo Zhou <lumin@debian.org>  Tue, 05 Sep 2023 21:49:38 -0400

nvitop (1.0.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1033345)

 -- Mo Zhou <lumin@debian.org>  Tue, 28 Mar 2023 15:57:10 -0400

=== debian/control ===
Source: nvitop
Section: contrib/utils
Homepage: https://github.com/XuehaiPan/nvitop
Priority: optional
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/nvidia-team/nvitop.git
Vcs-Browser: https://salsa.debian.org/nvidia-team/nvitop
Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
Uploaders: Mo Zhou <lumin@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-setuptools,
               pybuild-plugin-pyproject,
               python3-all,
               python3-psutil,
               python3-cachetools,
               python3-pynvml,
Rules-Requires-Root: no

Package: nvitop
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Interactive NVIDIA-GPU process viewer and beyond
 nvitop is an interactive NVIDIA device and process monitoring tool. It has a
 colorful and informative interface that continuously updates the status of the
 devices and processes. As a resource monitor, it includes many features and
 options, such as tree-view, environment variable viewing, process filtering,
 process metrics monitoring, etc. Beyond that, the package also ships a CUDA
 device selection tool nvisel for deep learning researchers. It also provides
 handy APIs that allow developers to write their own monitoring tools.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --buildsystem=pybuild

execute_after_dh_install:
	$(RM) -v debian/nvitop/usr/lib/python*/dist-packages/nvitop/api/LICENSE
	$(RM) -v debian/nvitop/usr/lib/python*/dist-packages/nvitop/callbacks/LICENSE
	$(RM) -v debian/nvitop/usr/lib/python*/dist-packages/nvitop/gui/COPYING

## nvitop 1.4.1

=== requirements.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Sync with pyproject.toml and nvitop/version.py
-nvidia-ml-py >= 11.450.51, < 12.536.0a0
+nvidia-ml-py >= 11.450.51, < 12.561.0a0
 psutil >= 5.6.6
 cachetools >= 1.0.1
 termcolor >= 1.0.0

=== debian/changelog ===
nvitop (1.4.1-1) unstable; urgency=medium

  [ Andreas Beckmann ]
  * add salsa-ci.yml

  [ Mo Zhou ]
  * New upstream version 1.4.1

 -- Mo Zhou <lumin@debian.org>  Thu, 16 Jan 2025 23:20:33 -0500

nvitop (1.4.0-1) unstable; urgency=medium

  * New upstream version 1.4.0

 -- Mo Zhou <lumin@debian.org>  Wed, 01 Jan 2025 19:06:27 -0500

## nvitop 1.4.2

=== requirements.txt ===
# Sync with pyproject.toml and nvitop/version.py
nvidia-ml-py >= 11.450.51, < 12.571.0a0
psutil >= 5.6.6
colorama >= 0.4.0; platform_system == 'Windows'
windows-curses >= 2.2.0; platform_system == 'Windows'

=== debian/changelog ===
nvitop (1.4.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.4.2
  * Simplify d/copyright.
  * Drop B-D: python3-cachetools.
  * Bump Standards-Version to 4.7.2, no changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 17 Mar 2025 13:39:16 +0100

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --buildsystem=pybuild

execute_after_dh_install:
	$(RM) -v debian/nvitop/usr/lib/python*/dist-packages/nvitop/api/LICENSE
	$(RM) -v debian/nvitop/usr/lib/python*/dist-packages/nvitop/callbacks/LICENSE
	$(RM) -v debian/nvitop/usr/lib/python*/dist-packages/nvitop/tui/COPYING

## nvitop 1.5.0

=== docs/requirements.txt ===
--- 
+++ 
@@ -6,4 +6,4 @@
 
 lightning >= 2.0.0, < 3.0.0a0
 pytorch-lightning >= 1.5.0, < 2.0.0a0
-tensorflow-cpu >= 2.0.0, < 2.12.0a0
+tensorflow-cpu >= 2.0.0, < 2.20.0a0

=== debian/changelog ===
nvitop (1.5.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.5.0.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 12 May 2025 19:03:48 +0200

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?@ANY_VERSION@(@ARCHIVE_EXT@)%@PACKAGE@-$1$2%" \
https://github.com/XuehaiPan/nvitop/tags \
(?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## nvitop 1.5.2

=== requirements.txt ===
# Sync with pyproject.toml and nvitop/version.py
nvidia-ml-py >= 11.450.51, < 12.576.0a0
psutil >= 5.6.6
colorama >= 0.4.0; platform_system == 'Windows'
windows-curses >= 2.2.0; platform_system == 'Windows'

=== docs/requirements.txt ===
sphinx >= 5.0
sphinx-autoapi
sphinx-autobuild
sphinx-copybutton
sphinx-rtd-theme

=== nvitop-exporter/requirements.txt ===
nvitop
prometheus-client >= 0.4.0

=== debian/changelog ===
nvitop (1.5.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.5.2.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 14 Aug 2025 00:23:08 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: contrib/utils
 Homepage: https://github.com/XuehaiPan/nvitop
 Priority: optional
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/nvidia-team/nvitop.git
 Vcs-Browser: https://salsa.debian.org/nvidia-team/nvitop
 Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
@@ -13,7 +13,6 @@
                pybuild-plugin-pyproject,
                python3-all,
                python3-psutil,
-               python3-cachetools,
                python3-pynvml,
 Rules-Requires-Root: no
